petsc-3.4.2 2013-07-02

# DMMeshCreateGlobalRealVector

Creates a vector of the correct size to be gathered into by the mesh.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshCreateGlobalRealVector(DM dm, SectionReal section, Vec *gvec)

Collective on DMMesh

### Input Parameters

| mesh | - the mesh object
| section | - The SectionReal

### Output Parameters

gvec -the global vector

### See Also

DMMeshDestroy(), DMMeshCreate(), DMMeshCreateGlobalRealVector()

Level:advanced
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages